GNU bug report logs - #14619
24.3; Daemon mode and NS App could play nicer together

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ryan <rct@HIDDEN>; merged with #21357; dated Fri, 14 Jun 2013 17:22:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 14619 21357. Request was from Random832 <random832@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jun 2013 17:21:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 14 13:21:40 2013
Received: from localhost ([127.0.0.1]:44439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UnXgx-0006xq-1g
	for submit <at> debbugs.gnu.org; Fri, 14 Jun 2013 13:21:40 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43833)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rct@HIDDEN>) id 1UnXgt-0006xG-B1
 for submit <at> debbugs.gnu.org; Fri, 14 Jun 2013 13:21:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rct@HIDDEN>) id 1UnXgj-00083G-0j
 for submit <at> debbugs.gnu.org; Fri, 14 Jun 2013 13:21:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50352)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rct@HIDDEN>) id 1UnXgi-00083B-UJ
 for submit <at> debbugs.gnu.org; Fri, 14 Jun 2013 13:21:24 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:45510)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rct@HIDDEN>) id 1UnXgc-0002uC-UK
 for bug-gnu-emacs@HIDDEN; Fri, 14 Jun 2013 13:21:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rct@HIDDEN>) id 1UnXgY-000810-Eh
 for bug-gnu-emacs@HIDDEN; Fri, 14 Jun 2013 13:21:18 -0400
Received: from mail-pb0-x231.google.com ([2607:f8b0:400e:c01::231]:33133)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rct@HIDDEN>) id 1UnXgY-00080o-0X
 for bug-gnu-emacs@HIDDEN; Fri, 14 Jun 2013 13:21:14 -0400
Received: by mail-pb0-f49.google.com with SMTP id jt11so774839pbb.36
 for <bug-gnu-emacs@HIDDEN>; Fri, 14 Jun 2013 10:21:12 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=google.com; s=20120113;
 h=message-id:date:from:user-agent:mime-version:to:subject
 :content-type:content-transfer-encoding:x-gm-message-state;
 bh=D4CSXMZAG2SuauGWgfBf3ZTrl6PUFHBS5/lP0UlctRc=;
 b=GhS5l8kOXNhSX4k6lTxfRsKB3VjehvcVArp3TpfG6z6HDTtwZTf4iltcWeQmiRQEgM
 yEjH61emSyqGdssSgv/iT5nisXfyCqaSRmTePO9c4Mv+19Zr3dZwUXZOAEiUZgj0m2fy
 Cu4C0p25ATsb75aAM9U7al89ZG4U6tGRT4EAAxRxYDZ+J7Rh7zG9+l2ORE2RpoNpipx8
 62A4pDL8no1852wZejhkDp7ufz89jjsunqvE7bkUt/YRRgOS+YYyl2NrM/3ZHkbLy8bo
 Ehfn2Px6sQGsCg8B8Id37V0UlUlpPBHVDRBNY731Za9uyLwCyKKlbLku6Pt2R0wpIM2t
 fgjQ==
X-Received: by 10.68.176.197 with SMTP id ck5mr3418333pbc.165.1371230472231;
 Fri, 14 Jun 2013 10:21:12 -0700 (PDT)
Received: from [192.168.10.2] (user-0c9ha1q.cable.mindspring.com.
 [24.152.168.58])
 by mx.google.com with ESMTPSA id ot10sm2971948pbb.12.2013.06.14.10.21.09
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Fri, 14 Jun 2013 10:21:11 -0700 (PDT)
Message-ID: <51BB5102.3050105@HIDDEN>
Date: Fri, 14 Jun 2013 10:21:06 -0700
From: Ryan <rct@HIDDEN>
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8;
 rv:17.0) Gecko/20130509 Thunderbird/17.0.6
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; Daemon mode and NS App could play nicer together
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Gm-Message-State: ALoCoQmX/f6lBgkevOhaZan0n7kFIncFexi8rq69FBMatwBpFSwCQBQR4z20q425Dk3pNA5WS8vF
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org. Please check that
the From: line contains a valid email address. After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug. If you can, give a recipe
starting from `emacs -Q':

On OS X, if one starts emacs as a daemon and opens up a GUI client 
window and then closes it, the NS App becomes unresponsive. Doing the 
following on OS X will exhibit the bug:

1. Run "emacs --daemon -Q"
2. Run "emacsclient -c" to get a GUI frame
3. Do "C-x C-c" to kill the GUI frame

After this, the Emacs daemon will still be running, and the dock will 
also indicate that the Emacs app is still running. However, the menus 
become nonfunctional. Clicking on "File", "Edit", "View", etc. does not 
pop up any menu at all. Clicking on "Emacs" pops up a menu, but the only 
functional items are "About Emacs" and "Quit Emacs". All keyboard 
shortcuts, even those listed in the menus for functional menu items, are 
nonfunctional.

In short, once the last GUI frame is killed for an Emacs instance, it is 
not possible to have any further interaction with Emacs from the GUI 
other than quitting Emacs entirely. If one creates a new GUI frame by 
running "emacsclient -c" from a terminal, the GUI once again becomes 
responsive.

In any case, I believe that this situation is clearly suboptimal. I can 
think of two reasonable ways for Emacs to handle the closing of the last 
GUI frame. First, Emacs could shut down the NS App, so that OS X would 
think that Emacs had quit and no longer show it as running. Then, when a 
new GUI frame is created via "emacsclient -c", a new NS App instance 
would be created. Second, Emacs could support the behavior of most OS X 
apps, which continue running after the last window is closed, with menus 
and keyboard shortcuts still functional. Either of these is preferable 
to the current behavior.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
`bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/Applications/Emacs.app/Contents/Resources/etc/DEBUG.


In GNU Emacs 24.3.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
of 2013-03-12 on bob.porkrind.org
Windowing system distributor `Apple', version 10.3.1187
Configured using:
`configure '--host=x86_64-apple-darwin' '--build=i686-apple-darwin'
'--with-ns' 'build_alias=i686-apple-darwin'
'host_alias=x86_64-apple-darwin' 'CC=gcc -mmacosx-version-min=10.7
-isystem
/Users/david/Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk/usr/include/
-F/Users/david/Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk/System/Library/Frameworks''

Important settings:
locale-coding-system: nil
default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
recentf-mode: t
bug-reference-prog-mode: t
global-pretty-mode: t
pretty-mode: t
sml-modeline-mode: t
show-paren-mode: t
savehist-mode: t
minibuffer-electric-default-mode: t
minibuffer-depth-indicate-mode: t
ido-yes-or-no-mode: t
ido-ubiquitous-mode: t
icomplete-mode: t
global-undo-tree-mode: t
undo-tree-mode: t
desktop-save-mode: t
delete-selection-mode: t
ido-everywhere: t
shell-dirtrack-mode: t
eldoc-mode: t
autopair-global-mode: t
autopair-mode: t
global-auto-complete-mode: t
auto-complete-mode: t
override-global-mode: t
tooltip-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
line-number-mode: t
transient-mark-mode: t

Recent input:
n s _ t e r m _ i n i t <return> C-h f x - o p e n
- <return> <help-echo> <help-echo> M-x f i n d l i
b <right> <return> n s w i n <right> <right> <backspace>
<backspace> <backspace> - w i n <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> C-g
C-g C-g M-x l o a d - l i <return> n o <backspace>
s - w i n C-g C-g <down-mouse-1> <mouse-1> C-x C-f
l i s p <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> e m <return> l i s p / n s
- w i n <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> t e r m / n s w i n <return>
C-s x - o p e n - c o n n e c t i o n C-s <return>
C-x 1 <wheel-up> <double-wheel-up> <triple-wheel-up>
<down-mouse-1> <mouse-1> <down-mouse-1> <mouse-movement>
<mouse-movement> <drag-mouse-1> <down-mouse-1> <mouse-1>
<down-mouse-1> <mouse-1> C-h f <return> <down-mouse-1>
<mouse-movement> <mouse-movement> <drag-mouse-1> <down-mouse-1>
<mouse-1> s-h <help-echo> <wheel-up> <double-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<help-echo> <down-mouse-1> <mouse-1> <down-mouse-1>
<mouse-1> <down-mouse-1> <mouse-1> <down-mouse-1> <mouse-1>
<double-down-mouse-1> <double-mouse-1> <down-mouse-1>
<mouse-1> <down-mouse-1> <mouse-1> <s-down-mouse-1>
<s-mouse-1> <s-down-mouse-1> <s-mouse-1> <down-mouse-1>
<mouse-1> <wheel-down> <double-wheel-down> <wheel-down>
<double-wheel-down> <triple-wheel-down> <wheel-up>
<double-wheel-up> <triple-wheel-up> <triple-wheel-up>
<wheel-down> <double-wheel-down> <triple-wheel-down>
<triple-wheel-down> <wheel-up> <double-wheel-up> <wheel-up>
<wheel-up> <double-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <wheel-down> <wheel-down>
<double-wheel-down> <down-mouse-1> <mouse-1> <wheel-down>
<double-wheel-down> <wheel-up> <double-wheel-up> <triple-wheel-up>
<triple-wheel-up> <wheel-down> <wheel-down> <wheel-down>
<double-wheel-down> <triple-wheel-down> <wheel-up>
<double-wheel-up> <wheel-down> <double-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-down> <wheel-up> <double-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <wheel-up> <double-wheel-up> <triple-wheel-up>
<triple-wheel-up> <wheel-up> <double-wheel-up> <triple-wheel-up>
<wheel-up> <double-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <wheel-up> <double-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <down-mouse-1> <mouse-1> M-x r e
p o r t - e m a c s <return>

Recent messages:
Quit [3 times]
Mark saved where search started
Error during redisplay: (eval (list (sml-modeline-create))) signaled 
(args-out-of-range 1296 1330)
Type C-x 1 to delete the help window.
Source file `/Users/ryan/.emacs.d/elpa/smex-20130421.2153/smex.el' newer 
than byte-compiled file
Quit [6 times]
Mark saved where search started
Error during redisplay: (eval (list (sml-modeline-create))) signaled 
(args-out-of-range 2780 2918)
Type C-x 1 to delete the help window.
scroll-down: Beginning of buffer [14 times]
browse-url-at-point: No URL found

Load-path shadows:
~/.emacs.d/el-get/el-get/.dir-locals hides 
/Users/ryan/.emacs.d/elpa/ess-20130521.1613/.dir-locals
~/.emacs.d/el-get/el-get/.dir-locals hides 
/Users/ryan/.emacs.d/elpa/fringe-helper-20130519.1641/.dir-locals
~/.emacs.d/el-get/el-get/.dir-locals hides 
/Users/ryan/.emacs.d/elpa/highlight-parentheses-20130523.1752/.dir-locals
/Users/ryan/.emacs.d/el-get/ido-ubiquitous/ido-ubiquitous hides 
/Users/ryan/.emacs.d/elpa/ido-ubiquitous-20121214.2145/ido-ubiquitous
~/.emacs.d/el-get/el-get/.dir-locals hides 
/Users/ryan/.emacs.d/elpa/magit-20130528.2019/.dir-locals
/Users/ryan/.emacs.d/elpa/cperl-mode-20130117.2116/cperl-mode hides 
/Applications/Emacs.app/Contents/Resources/lisp/progmodes/cperl-mode
/Users/ryan/.emacs.d/elpa/org-20130527/org hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org
/Users/ryan/.emacs.d/elpa/org-20130527/org-w3m hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-w3m
/Users/ryan/.emacs.d/elpa/org-20130527/org-version hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-version
/Users/ryan/.emacs.d/elpa/org-20130527/org-timer hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-timer
/Users/ryan/.emacs.d/elpa/org-20130527/org-table hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-table
/Users/ryan/.emacs.d/elpa/org-20130527/org-src hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-src
/Users/ryan/.emacs.d/elpa/org-20130527/org-rmail hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-rmail
/Users/ryan/.emacs.d/elpa/org-20130527/org-protocol hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-protocol
/Users/ryan/.emacs.d/elpa/org-20130527/org-plot hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-plot
/Users/ryan/.emacs.d/elpa/org-20130527/org-pcomplete hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-pcomplete
/Users/ryan/.emacs.d/elpa/org-20130527/org-mouse hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-mouse
/Users/ryan/.emacs.d/elpa/org-20130527/org-mobile hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-mobile
/Users/ryan/.emacs.d/elpa/org-20130527/org-mhe hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-mhe
/Users/ryan/.emacs.d/elpa/org-20130527/org-macs hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-macs
/Users/ryan/.emacs.d/elpa/org-20130527/org-loaddefs hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-loaddefs
/Users/ryan/.emacs.d/elpa/org-20130527/org-list hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-list
/Users/ryan/.emacs.d/elpa/org-20130527/org-irc hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-irc
/Users/ryan/.emacs.d/elpa/org-20130527/org-install hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-install
/Users/ryan/.emacs.d/elpa/org-20130527/org-inlinetask hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-inlinetask
/Users/ryan/.emacs.d/elpa/org-20130527/org-info hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-info
/Users/ryan/.emacs.d/elpa/org-20130527/org-indent hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-indent
/Users/ryan/.emacs.d/elpa/org-20130527/org-id hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-id
/Users/ryan/.emacs.d/elpa/org-20130527/org-habit hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-habit
/Users/ryan/.emacs.d/elpa/org-20130527/org-gnus hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-gnus
/Users/ryan/.emacs.d/elpa/org-20130527/org-footnote hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-footnote
/Users/ryan/.emacs.d/elpa/org-20130527/org-feed hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-feed
/Users/ryan/.emacs.d/elpa/org-20130527/org-faces hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-faces
/Users/ryan/.emacs.d/elpa/org-20130527/org-eshell hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-eshell
/Users/ryan/.emacs.d/elpa/org-20130527/org-entities hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-entities
/Users/ryan/.emacs.d/elpa/org-20130527/org-element hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-element
/Users/ryan/.emacs.d/elpa/org-20130527/org-docview hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-docview
/Users/ryan/.emacs.d/elpa/org-20130527/org-datetree hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-datetree
/Users/ryan/.emacs.d/elpa/org-20130527/org-ctags hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-ctags
/Users/ryan/.emacs.d/elpa/org-20130527/org-crypt hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-crypt
/Users/ryan/.emacs.d/elpa/org-20130527/org-compat hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-compat
/Users/ryan/.emacs.d/elpa/org-20130527/org-colview hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-colview
/Users/ryan/.emacs.d/elpa/org-20130527/org-clock hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-clock
/Users/ryan/.emacs.d/elpa/org-20130527/org-capture hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-capture
/Users/ryan/.emacs.d/elpa/org-20130527/org-bibtex hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-bibtex
/Users/ryan/.emacs.d/elpa/org-20130527/org-bbdb hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-bbdb
/Users/ryan/.emacs.d/elpa/org-20130527/org-attach hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-attach
/Users/ryan/.emacs.d/elpa/org-20130527/org-archive hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-archive
/Users/ryan/.emacs.d/elpa/org-20130527/org-agenda hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-agenda
/Users/ryan/.emacs.d/elpa/org-20130527/ob hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob
/Users/ryan/.emacs.d/elpa/org-20130527/ob-tangle hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-tangle
/Users/ryan/.emacs.d/elpa/org-20130527/ob-table hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-table
/Users/ryan/.emacs.d/elpa/org-20130527/ob-sqlite hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sqlite
/Users/ryan/.emacs.d/elpa/org-20130527/ob-sql hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sql
/Users/ryan/.emacs.d/elpa/org-20130527/ob-shen hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-shen
/Users/ryan/.emacs.d/elpa/org-20130527/ob-sh hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sh
/Users/ryan/.emacs.d/elpa/org-20130527/ob-screen hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-screen
/Users/ryan/.emacs.d/elpa/org-20130527/ob-scheme hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-scheme
/Users/ryan/.emacs.d/elpa/org-20130527/ob-scala hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-scala
/Users/ryan/.emacs.d/elpa/org-20130527/ob-sass hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sass
/Users/ryan/.emacs.d/elpa/org-20130527/ob-ruby hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ruby
/Users/ryan/.emacs.d/elpa/org-20130527/ob-ref hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ref
/Users/ryan/.emacs.d/elpa/org-20130527/ob-R hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-R
/Users/ryan/.emacs.d/elpa/org-20130527/ob-python hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-python
/Users/ryan/.emacs.d/elpa/org-20130527/ob-plantuml hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-plantuml
/Users/ryan/.emacs.d/elpa/org-20130527/ob-picolisp hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-picolisp
/Users/ryan/.emacs.d/elpa/org-20130527/ob-perl hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-perl
/Users/ryan/.emacs.d/elpa/org-20130527/ob-org hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-org
/Users/ryan/.emacs.d/elpa/org-20130527/ob-octave hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-octave
/Users/ryan/.emacs.d/elpa/org-20130527/ob-ocaml hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ocaml
/Users/ryan/.emacs.d/elpa/org-20130527/ob-mscgen hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-mscgen
/Users/ryan/.emacs.d/elpa/org-20130527/ob-maxima hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-maxima
/Users/ryan/.emacs.d/elpa/org-20130527/ob-matlab hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-matlab
/Users/ryan/.emacs.d/elpa/org-20130527/ob-lob hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lob
/Users/ryan/.emacs.d/elpa/org-20130527/ob-lisp hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lisp
/Users/ryan/.emacs.d/elpa/org-20130527/ob-lilypond hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lilypond
/Users/ryan/.emacs.d/elpa/org-20130527/ob-ledger hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ledger
/Users/ryan/.emacs.d/elpa/org-20130527/ob-latex hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-latex
/Users/ryan/.emacs.d/elpa/org-20130527/ob-keys hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-keys
/Users/ryan/.emacs.d/elpa/org-20130527/ob-js hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-js
/Users/ryan/.emacs.d/elpa/org-20130527/ob-java hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-java
/Users/ryan/.emacs.d/elpa/org-20130527/ob-io hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-io
/Users/ryan/.emacs.d/elpa/org-20130527/ob-haskell hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-haskell
/Users/ryan/.emacs.d/elpa/org-20130527/ob-gnuplot hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-gnuplot
/Users/ryan/.emacs.d/elpa/org-20130527/ob-fortran hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-fortran
/Users/ryan/.emacs.d/elpa/org-20130527/ob-exp hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-exp
/Users/ryan/.emacs.d/elpa/org-20130527/ob-eval hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-eval
/Users/ryan/.emacs.d/elpa/org-20130527/ob-emacs-lisp hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-emacs-lisp
/Users/ryan/.emacs.d/elpa/org-20130527/ob-dot hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-dot
/Users/ryan/.emacs.d/elpa/org-20130527/ob-ditaa hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ditaa
/Users/ryan/.emacs.d/elpa/org-20130527/ob-css hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-css
/Users/ryan/.emacs.d/elpa/org-20130527/ob-comint hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-comint
/Users/ryan/.emacs.d/elpa/org-20130527/ob-clojure hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-clojure
/Users/ryan/.emacs.d/elpa/org-20130527/ob-calc hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-calc
/Users/ryan/.emacs.d/elpa/org-20130527/ob-C hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-C
/Users/ryan/.emacs.d/elpa/org-20130527/ob-awk hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-awk
/Users/ryan/.emacs.d/elpa/org-20130527/ob-asymptote hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-asymptote
~/.emacs.d/el-get/el-get/.dir-locals hides 
/Applications/Emacs.app/Contents/Resources/lisp/gnus/.dir-locals
/Users/ryan/.emacs.d/elpa/emms-20130515.1144/tq hides 
/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/tq

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils smex recentf tree-widget wid-edit misearch
multi-isearch cc-langs cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine jka-compr find-func load-dir gitignore-mode
bug-reference vc-git imenu noutline outline pretty-mode conf-mode
bug-reference-github vlfi sh-script smie melpa server face-remap
midnight saveplace uniquify sml-modeline paren savehist minibuf-eldef
mb-depth ido-yes-or-no ido-ubiquitous icomplete undo-tree diff desktop
delsel auto-dim-other-buffers cus-start cus-load ido-speed-hack
.loaddefs ido ess-toolbar ess-mouse mouseme thingatpt browse-url
ess-menu ess-swv ess-noweb ess-noweb-font-lock-mode ess-bugs-l essd-els
ess-sas-d ess-sas-l ess-sas-a shell pcomplete ess-arc-d ess-vst-d
ess-xls-d ess-lsp-l ess-sta-d ess-sta-l cc-vars cc-defs make-regexp
ess-sp6-d ess-sp5-d ess-sp3-d ess-julia ess-r-d compile ess-tracebug
ess-roxy hideshow ess-help ess-developer ess-r-args eldoc ess-s-l ess
ess-inf comint ansi-color ring ess-mode ess-noweb-mode ess-utils
ess-custom executable ess-compat ess-site autopair auto-complete popup
time-date bar-cursor edmacro kmacro use-package diminish bind-key
easy-mmode el-get el-get-autoloads el-get-list-packages el-get-notify
help-mode el-get-dependencies el-get-build el-get-status pp
el-get-recipes el-get-byte-compile el-get-methods el-get-fossil
el-get-svn el-get-pacman el-get-github-zip el-get-github-tar
el-get-http-zip el-get-http-tar el-get-hg el-get-git-svn el-get-fink
el-get-emacswiki el-get-http el-get-emacsmirror el-get-github el-get-git
el-get-elpa el-get-darcs el-get-cvs el-get-bzr el-get-brew
el-get-builtin el-get-apt-get el-get-custom el-get-core autoload dired
ac-js2-autoloads ack-and-a-half-autoloads apache-mode-autoloads
applescript-mode-autoloads async-autoloads
auto-dim-other-buffers-autoloads auto-indent-mode-autoloads
autopair-autoloads bar-cursor-autoloads bs-ext-autoloads
buffer-utils-autoloads bug-reference-github-autoloads
button-lock-autoloads charmap-autoloads charmap concurrent-autoloads
cperl-mode-autoloads crontab-mode-autoloads csharp-mode-autoloads
cursor-chg-autoloads dedicated-autoloads deferred-autoloads
dna-mode-autoloads edit-list-autoloads ein-autoloads
auto-complete-autoloads eldoc-eval-autoloads emacs-setup-autoloads
emms-autoloads ess-R-data-view-autoloads ctable-autoloads
ess-R-object-popup-autoloads express-autoloads
git-gutter-fringe-autoloads fringe-helper-autoloads git-gutter-autoloads
gitconfig-mode-autoloads gitignore-mode-autoloads hardhat-autoloads
header2-autoloads highlight-cl-autoloads highlight-parentheses-autoloads
icomplete+-autoloads ido-load-library-autoloads ido-sort-mtime-autoloads
ido-ubiquitous-autoloads ido-yes-or-no-autoloads ignoramus-autoloads
igrep-autoloads lacarte-autoloads letcheck-autoloads
lexbind-mode-autoloads load-dir-autoloads look-dired-autoloads
look-mode-autoloads macro-utils-autoloads macrostep-autoloads
magit-commit-training-wheels-autoloads magit-gh-pulls-autoloads
gh-autoloads eieio logito-autoloads magithub-autoloads magit-autoloads
markdown-mode+-autoloads markdown-mode-autoloads marmalade-autoloads
furl-autoloads melpa-autoloads byte-opt warnings bytecomp byte-compile
cconv advice advice-preload mic-paren-autoloads
mode-line-debug-autoloads mouse+-autoloads nav-autoloads
nav-flash-autoloads nlinum-autoloads oddmuse-autoloads
openwith-autoloads org-autoloads info easymenu osx-plist-autoloads
pallet-autoloads carton-autoloads paredit-everywhere-autoloads
paredit-autoloads paredit-menu-autoloads persistent-soft-autoloads
pcache-autoloads pointback-autoloads popup-switcher-autoloads
popup-autoloads popwin-autoloads powerline-autoloads powerline
powerline-separators pretty-mode-autoloads rainbow-mode-autoloads
request-autoloads s-buffer-autoloads noflet-autoloads s-autoloads
shell-history-autoloads skewer-mode-autoloads js2-mode-autoloads
finder-inf simple-httpd-autoloads smart-forward-autoloads
expand-region-autoloads smart-mode-line-autoloads smex-autoloads
sml-modeline-autoloads ssh-config-mode-autoloads string-edit-autoloads
dash-autoloads string-utils-autoloads list-utils-autoloads help-fns
cl-macs gv cl cl-lib sudo-ext-autoloads undo-tree-autoloads
unfill-autoloads use-package-autoloads diminish-autoloads
bind-key-autoloads vlfi-autoloads volatile-highlights-autoloads
websocket-autoloads winpoint-autoloads package tooltip ediff-hook
vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process ns multi-tty emacs)





Acknowledgement sent to Ryan <rct@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#14619; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 3 Nov 2015 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.